Subject: I'm in Singapore!
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Sat, 9 Feb 2002 11:02:02 -0800 (PST)

Hello Everyone,

I made it to Singapore at 1:00 am on Sunday morning.  That should be 1:00 pm Saturday afternoon.  I had forgotten how long that flight is and there is no way I'd do it in coach/economy.  I'm currently in the Singapore Airlines Lounge, which has free internet access!  Imagine that, especially after our experience in Moscow.  I've taken a shower and changed clothes, but can not shave as my razor is in my checked luggage.  I have an 8:00 am flight for Jakarta.  Jakarta should be 13 hours ahead of Houston time.  I'll send an email Monday, from the office, advising you of my contact info.  You can send emails to me at my work email address.  I'll check them every morning at the office.

How did the shower go?  Did Alina turn on the charm?  Did she behave?

Well I need to go, but I miss the three of you already.

Love Kim